'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _class, _temp;

var _react = require('react');

var _nornj = require('nornj');

var _EChartsEnhance = require('./EChartsEnhance');

var _EChartsEnhance2 = babelHelpers.interopRequireDefault(_EChartsEnhance);

require('echarts/lib/chart/funnel');

var _EChartsT = require('./ECharts.t.html');

var _EChartsT2 = babelHelpers.interopRequireDefault(_EChartsT);

var FunnelChart = (_temp = _class = function (_Component) {
  babelHelpers.inherits(FunnelChart, _Component);

  function FunnelChart() {
    babelHelpers.classCallCheck(this, FunnelChart);
    return babelHelpers.possibleConstructorReturn(this, _Component.apply(this, arguments));
  }

  FunnelChart.prototype.render = function render() {
    return _EChartsT2.default.chart(this);
  };

  return FunnelChart;
}(_react.Component), _class.propTypes = {
  type: _react.PropTypes.string
}, _class.defaultProps = {
  type: 'funnel'
}, _temp);


var ecFunnelChart = (0, _EChartsEnhance2.default)(FunnelChart);
(0, _nornj.registerComponent)({ 'ec-FunnelChart': ecFunnelChart });
exports.default = ecFunnelChart;