'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _class, _temp;

var _react = require('react');

var _nornj = require('nornj');

var _EChartsEnhance = require('./EChartsEnhance');

var _EChartsEnhance2 = babelHelpers.interopRequireDefault(_EChartsEnhance);

require('echarts/lib/chart/graph');

var _EChartsT = require('./ECharts.t.html');

var _EChartsT2 = babelHelpers.interopRequireDefault(_EChartsT);

var GraphChart = (_temp = _class = function (_Component) {
  babelHelpers.inherits(GraphChart, _Component);

  function GraphChart() {
    babelHelpers.classCallCheck(this, GraphChart);
    return babelHelpers.possibleConstructorReturn(this, _Component.apply(this, arguments));
  }

  GraphChart.prototype.render = function render() {
    return _EChartsT2.default.chart(this);
  };

  return GraphChart;
}(_react.Component), _class.propTypes = {
  type: _react.PropTypes.string
}, _class.defaultProps = {
  type: 'graph'
}, _temp);


var ecGraphChart = (0, _EChartsEnhance2.default)(GraphChart);
(0, _nornj.registerComponent)({ 'ec-GraphChart': ecGraphChart });
exports.default = ecGraphChart;