'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _class, _temp;

var _react = require('react');

var _nornj = require('nornj');

var _EChartsEnhance = require('./EChartsEnhance');

var _EChartsEnhance2 = babelHelpers.interopRequireDefault(_EChartsEnhance);

require('echarts/lib/chart/heatmap');

var _EChartsT = require('./ECharts.t.html');

var _EChartsT2 = babelHelpers.interopRequireDefault(_EChartsT);

var HeatMapChart = (_temp = _class = function (_Component) {
  babelHelpers.inherits(HeatMapChart, _Component);

  function HeatMapChart() {
    babelHelpers.classCallCheck(this, HeatMapChart);
    return babelHelpers.possibleConstructorReturn(this, _Component.apply(this, arguments));
  }

  HeatMapChart.prototype.render = function render() {
    return _EChartsT2.default.chart(this);
  };

  return HeatMapChart;
}(_react.Component), _class.propTypes = {
  type: _react.PropTypes.string
}, _class.defaultProps = {
  type: 'heatmap'
}, _temp);


var ecHeatMapChart = (0, _EChartsEnhance2.default)(HeatMapChart);
(0, _nornj.registerComponent)({ 'ec-HeatMapChart': ecHeatMapChart });
exports.default = ecHeatMapChart;