'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _class, _temp;

var _react = require('react');

var _nornj = require('nornj');

var _EChartsEnhance = require('./EChartsEnhance');

var _EChartsEnhance2 = babelHelpers.interopRequireDefault(_EChartsEnhance);

require('echarts/lib/chart/map');

var _EChartsT = require('./ECharts.t.html');

var _EChartsT2 = babelHelpers.interopRequireDefault(_EChartsT);

var MapChart = (_temp = _class = function (_Component) {
  babelHelpers.inherits(MapChart, _Component);

  function MapChart() {
    babelHelpers.classCallCheck(this, MapChart);
    return babelHelpers.possibleConstructorReturn(this, _Component.apply(this, arguments));
  }

  MapChart.prototype.render = function render() {
    return _EChartsT2.default.chart(this);
  };

  return MapChart;
}(_react.Component), _class.propTypes = {
  type: _react.PropTypes.string
}, _class.defaultProps = {
  type: 'map'
}, _temp);


var ecMapChart = (0, _EChartsEnhance2.default)(MapChart);
(0, _nornj.registerComponent)({ 'ec-MapChart': ecMapChart });
exports.default = ecMapChart;