'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _class, _temp;

var _react = require('react');

var _nornj = require('nornj');

var _EChartsEnhance = require('./EChartsEnhance');

var _EChartsEnhance2 = babelHelpers.interopRequireDefault(_EChartsEnhance);

require('echarts/lib/chart/scatter');

require('echarts/lib/component/grid');

var _EChartsT = require('./ECharts.t.html');

var _EChartsT2 = babelHelpers.interopRequireDefault(_EChartsT);

var ScatterChart = (_temp = _class = function (_Component) {
  babelHelpers.inherits(ScatterChart, _Component);

  function ScatterChart() {
    babelHelpers.classCallCheck(this, ScatterChart);
    return babelHelpers.possibleConstructorReturn(this, _Component.apply(this, arguments));
  }

  ScatterChart.prototype.render = function render() {
    return _EChartsT2.default.chart(this);
  };

  return ScatterChart;
}(_react.Component), _class.propTypes = {
  type: _react.PropTypes.string
}, _class.defaultProps = {
  type: 'scatter'
}, _temp);


var ecScatterChart = (0, _EChartsEnhance2.default)(ScatterChart);
(0, _nornj.registerComponent)({ 'ec-ScatterChart': ecScatterChart });
exports.default = ecScatterChart;