'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _class, _temp;

var _react = require('react');

var _nornj = require('nornj');

var _EChartsEnhance = require('./EChartsEnhance');

var _EChartsEnhance2 = babelHelpers.interopRequireDefault(_EChartsEnhance);

require('echarts/lib/chart/treemap');

var _EChartsT = require('./ECharts.t.html');

var _EChartsT2 = babelHelpers.interopRequireDefault(_EChartsT);

var TreeMapChart = (_temp = _class = function (_Component) {
  babelHelpers.inherits(TreeMapChart, _Component);

  function TreeMapChart() {
    babelHelpers.classCallCheck(this, TreeMapChart);
    return babelHelpers.possibleConstructorReturn(this, _Component.apply(this, arguments));
  }

  TreeMapChart.prototype.render = function render() {
    return _EChartsT2.default.chart(this);
  };

  return TreeMapChart;
}(_react.Component), _class.propTypes = {
  type: _react.PropTypes.string
}, _class.defaultProps = {
  type: 'treemap'
}, _temp);


var ecTreeMapChart = (0, _EChartsEnhance2.default)(TreeMapChart);
(0, _nornj.registerComponent)({ 'ec-TreeMapChart': ecTreeMapChart });
exports.default = ecTreeMapChart;