'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _class, _temp;

var _react = require('react');

var _nornj = require('nornj');

var _EChartsEnhance = require('./EChartsEnhance');

var _EChartsEnhance2 = babelHelpers.interopRequireDefault(_EChartsEnhance);

require('echarts-wordcloud');

var _EChartsT = require('./ECharts.t.html');

var _EChartsT2 = babelHelpers.interopRequireDefault(_EChartsT);

var WordCloudChart = (_temp = _class = function (_Component) {
  babelHelpers.inherits(WordCloudChart, _Component);

  function WordCloudChart() {
    babelHelpers.classCallCheck(this, WordCloudChart);
    return babelHelpers.possibleConstructorReturn(this, _Component.apply(this, arguments));
  }

  WordCloudChart.prototype.render = function render() {
    return _EChartsT2.default.chart(this);
  };

  return WordCloudChart;
}(_react.Component), _class.propTypes = {
  type: _react.PropTypes.string
}, _class.defaultProps = {
  type: 'wordCloud'
}, _temp);


var ecWordCloudChart = (0, _EChartsEnhance2.default)(WordCloudChart);
(0, _nornj.registerComponent)({ 'ec-WordCloudChart': ecWordCloudChart });
exports.default = ecWordCloudChart;