'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _dec, _class, _desc, _value, _class2, _class3, _temp;

var _react = require('react');

var _nornjReact = require('nornj-react');

var _reactAddonsUpdate = require('react-addons-update');

var _reactAddonsUpdate2 = babelHelpers.interopRequireDefault(_reactAddonsUpdate);

var _coreDecorators = require('core-decorators');

require('../antd/select');

var _searchSelectM = require('./searchSelect.m.less');

var _searchSelectM2 = babelHelpers.interopRequireDefault(_searchSelectM);

var _searchSelectT = require('./searchSelect.t.html');

var _searchSelectT2 = babelHelpers.interopRequireDefault(_searchSelectT);

var _delayOperate = require('flarej/lib/utils/delayOperate');

function _applyDecoratedDescriptor(target, property, decorators, descriptor, context) {
  var desc = {};
  Object['ke' + 'ys'](descriptor).forEach(function (key) {
    desc[key] = descriptor[key];
  });
  desc.enumerable = !!desc.enumerable;
  desc.configurable = !!desc.configurable;

  if ('value' in desc || desc.initializer) {
    desc.writable = true;
  }

  desc = decorators.slice().reverse().reduce(function (desc, decorator) {
    return decorator(target, property, desc) || desc;
  }, desc);

  if (context && desc.initializer !== void 0) {
    desc.value = desc.initializer ? desc.initializer.call(context) : void 0;
    desc.initializer = undefined;
  }

  if (desc.initializer === void 0) {
    Object['define' + 'Property'](target, property, desc);
    desc = null;
  }

  return desc;
}

var SearchSelect = (_dec = (0, _nornjReact.registerTmpl)('vic-SearchSelect'), _dec(_class = (_class2 = (_temp = _class3 = function (_Component) {
  babelHelpers.inherits(SearchSelect, _Component);

  function SearchSelect() {
    babelHelpers.classCallCheck(this, SearchSelect);
    return babelHelpers.possibleConstructorReturn(this, _Component.apply(this, arguments));
  }

  SearchSelect.prototype.filterOption = function filterOption(inputValue, option) {
    return option.props.children.indexOf(inputValue) >= 0 || option.key.indexOf(inputValue) >= 0 ? true : false;
  };

  SearchSelect.prototype.search = function search(value) {
    var onSearch = this.props.onSearch;

    if (onSearch) {
      onSearch({ value: value });
    }
  };

  SearchSelect.prototype.render = function render() {
    return (0, _searchSelectT2.default)(this.props, this, {
      styles: _searchSelectM2.default
    });
  };

  return SearchSelect;
}(_react.Component), _class3.propTypes = {
  title: _react.PropTypes.string,
  emptyText: _react.PropTypes.string,
  placeholder: _react.PropTypes.string,
  localMode: _react.PropTypes.bool,
  onSearch: _react.PropTypes.func,
  data: _react.PropTypes.array
}, _class3.defaultProps = {
  title: '部门',
  emptyText: '没有数据',
  placeholder: '请选择',
  localMode: true
}, _temp), (_applyDecoratedDescriptor(_class2.prototype, 'filterOption', [_coreDecorators.autobind], Object.getOwnPropertyDescriptor(_class2.prototype, 'filterOption'), _class2.prototype), _applyDecoratedDescriptor(_class2.prototype, 'search', [_coreDecorators.autobind], Object.getOwnPropertyDescriptor(_class2.prototype, 'search'), _class2.prototype)), _class2)) || _class);
exports.default = SearchSelect;