'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = undefined;

var _dec, _class, _class2, _temp;

var _react = require('react');

var _nornjReact = require('nornj-react');

var _classnames = require('classnames');

var _classnames2 = babelHelpers.interopRequireDefault(_classnames);

var _splitT = require('./split.t.html');

var _splitT2 = babelHelpers.interopRequireDefault(_splitT);

var _splitM = require('./split.m.less');

var _splitM2 = babelHelpers.interopRequireDefault(_splitM);

var Split = (_dec = (0, _nornjReact.registerTmpl)('vic-Split'), _dec(_class = (_temp = _class2 = function (_Component) {
  babelHelpers.inherits(Split, _Component);

  function Split() {
    babelHelpers.classCallCheck(this, Split);
    return babelHelpers.possibleConstructorReturn(this, _Component.apply(this, arguments));
  }

  Split.prototype.render = function render() {
    var _classNames,
        _this2 = this;

    var _props = this.props,
        className = _props.className,
        style = _props.style,
        margin = _props.margin,
        marginL = _props.marginL,
        marginR = _props.marginR,
        others = babelHelpers.objectWithoutProperties(_props, ['className', 'style', 'margin', 'marginL', 'marginR']);


    var classes = (0, _classnames2.default)((_classNames = {}, babelHelpers.defineProperty(_classNames, 'vic-split', true), babelHelpers.defineProperty(_classNames, className, className), _classNames));

    var styles = {};
    if (style) {
      babelHelpers.extends(styles, style);
    }
    if (margin != null) {
      var m = parseInt(margin, 10);
      styles.marginLeft = m;
      styles.marginRight = m;
    }
    if (marginL != null) {
      styles.marginLeft = parseInt(marginL, 10);
    }
    if (marginR != null) {
      styles.marginRight = parseInt(marginR, 10);
    }

    return (0, _splitT2.default)({
      props: others,
      classes: classes,
      styles: styles,
      wrap: function wrap(c) {
        return _this2.wrap = c;
      }
    });
  };

  return Split;
}(_react.Component), _class2.defaultProps = {
  margin: 3
}, _temp)) || _class);
exports.default = Split;