'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _dec, _class, _desc, _value, _class2, _class3, _temp;

var _react = require('react');

var _nornj = require('nornj');

var _nornjReact = require('nornj-react');

var _coreDecorators = require('core-decorators');

require('../antd/breadcrumb');

var _tabNavM = require('./tabNav.m.less');

var _tabNavM2 = babelHelpers.interopRequireDefault(_tabNavM);

var _tabNavT = require('./tabNav.t.html');

var _tabNavT2 = babelHelpers.interopRequireDefault(_tabNavT);

function _applyDecoratedDescriptor(target, property, decorators, descriptor, context) {
  var desc = {};
  Object['ke' + 'ys'](descriptor).forEach(function (key) {
    desc[key] = descriptor[key];
  });
  desc.enumerable = !!desc.enumerable;
  desc.configurable = !!desc.configurable;

  if ('value' in desc || desc.initializer) {
    desc.writable = true;
  }

  desc = decorators.slice().reverse().reduce(function (desc, decorator) {
    return decorator(target, property, desc) || desc;
  }, desc);

  if (context && desc.initializer !== void 0) {
    desc.value = desc.initializer ? desc.initializer.call(context) : void 0;
    desc.initializer = undefined;
  }

  if (desc.initializer === void 0) {
    Object['define' + 'Property'](target, property, desc);
    desc = null;
  }

  return desc;
}

var TabNav = (_dec = (0, _nornjReact.registerTmpl)('vic-TabNav'), _dec(_class = (_class2 = (_temp = _class3 = function (_Component) {
  babelHelpers.inherits(TabNav, _Component);

  function TabNav(props) {
    babelHelpers.classCallCheck(this, TabNav);

    var _this = babelHelpers.possibleConstructorReturn(this, _Component.call(this, props));

    _this.state = {
      active: null
    };

    _this.state.active = _this.props.active;
    return _this;
  }

  TabNav.prototype.componentWillReceiveProps = function componentWillReceiveProps(nextProps) {
    this.setState({
      active: nextProps.active
    });
  };

  TabNav.prototype.onClickItem = function onClickItem(name) {
    var onChange = this.props.onChange,
        isChange = name != this.state.active;


    this.setState({
      active: name
    }, function () {
      isChange && onChange && onChange(name);
    });
  };

  TabNav.prototype.bindEvt = function bindEvt(onClick, name) {
    return function (e) {
      return onClick(name);
    };
  };

  TabNav.prototype.render = function render() {
    return (0, _tabNavT2.default)(this.state, this.props, this, {
      styles: _tabNavM2.default
    });
  };

  return TabNav;
}(_react.Component), _class3.defaultProps = {
  separator: '/'
}, _class3.propTypes = {
  items: _react.PropTypes.array,
  separator: _react.PropTypes.string,
  onChange: _react.PropTypes.func
}, _temp), (_applyDecoratedDescriptor(_class2.prototype, 'onClickItem', [_coreDecorators.autobind], Object.getOwnPropertyDescriptor(_class2.prototype, 'onClickItem'), _class2.prototype)), _class2)) || _class);
exports.default = TabNav;