'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _dec, _class, _class2, _temp;

var _react = require('react');

var _nornjReact = require('nornj-react');

var _pageLoaderT = require('./pageLoader.t.html');

var _pageLoaderT2 = babelHelpers.interopRequireDefault(_pageLoaderT);

var PageLoader = (_dec = (0, _nornjReact.registerTmpl)('vic-PageLoader'), _dec(_class = (_temp = _class2 = function (_Component) {
  babelHelpers.inherits(PageLoader, _Component);

  function PageLoader(props) {
    babelHelpers.classCallCheck(this, PageLoader);

    var _this = babelHelpers.possibleConstructorReturn(this, _Component.call(this, props));

    _this.state = {
      isLoading: true,
      compType: null,
      complete: false
    };
    return _this;
  }

  PageLoader.prototype.componentWillMount = function componentWillMount() {
    this.loadComp(this.props.src);
  };

  //动态获取组件


  PageLoader.prototype.loadComp = function loadComp(src) {
    var _this2 = this;

    SystemJS.import(src).then(function (comp) {
      _this2.setState({
        isLoading: false,
        compType: comp.default
      });
    });
  };

  PageLoader.prototype.componentWillReceiveProps = function componentWillReceiveProps(nextProps) {
    if (this.props.src !== nextProps.src) {
      this.setState({
        isLoading: true
      });
      this.loadComp(nextProps.src);
    }
  };

  PageLoader.prototype.render = function render() {
    return (0, _pageLoaderT2.default)(this.state);
  };

  return PageLoader;
}(_react.Component), _class2.defaultProps = {
  src: null
}, _temp)) || _class);
exports.default = PageLoader;