'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _class, _temp;

var _react = require('react');

var _nornj = require('nornj');

var _EChartsEnhance = require('./EChartsEnhance');

var _EChartsEnhance2 = babelHelpers.interopRequireDefault(_EChartsEnhance);

require('echarts/lib/chart/line');

var _EChartsT = require('./ECharts.t.html');

var _EChartsT2 = babelHelpers.interopRequireDefault(_EChartsT);

var LineChart = (_temp = _class = function (_Component) {
  babelHelpers.inherits(LineChart, _Component);

  function LineChart() {
    babelHelpers.classCallCheck(this, LineChart);
    return babelHelpers.possibleConstructorReturn(this, _Component.apply(this, arguments));
  }

  LineChart.prototype.render = function render() {
    return _EChartsT2.default.chart(this);
  };

  return LineChart;
}(_react.Component), _class.propTypes = {
  type: _react.PropTypes.string
}, _class.defaultProps = {
  type: 'line'
}, _temp);


var ecLineChart = (0, _EChartsEnhance2.default)(LineChart);
(0, _nornj.registerComponent)({ 'ec-LineChart': ecLineChart });
exports.default = ecLineChart;