'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _class, _temp;

var _react = require('react');

var _nornj = require('nornj');

var _EChartsEnhance = require('./EChartsEnhance');

var _EChartsEnhance2 = babelHelpers.interopRequireDefault(_EChartsEnhance);

require('echarts/lib/chart/pie');

var _EChartsT = require('./ECharts.t.html');

var _EChartsT2 = babelHelpers.interopRequireDefault(_EChartsT);

var PieChart = (_temp = _class = function (_Component) {
  babelHelpers.inherits(PieChart, _Component);

  function PieChart() {
    babelHelpers.classCallCheck(this, PieChart);
    return babelHelpers.possibleConstructorReturn(this, _Component.apply(this, arguments));
  }

  PieChart.prototype.render = function render() {
    return _EChartsT2.default.chart(this);
  };

  return PieChart;
}(_react.Component), _class.propTypes = {
  type: _react.PropTypes.string
}, _class.defaultProps = {
  type: 'pie'
}, _temp);


var ecPieChart = (0, _EChartsEnhance2.default)(PieChart);
(0, _nornj.registerComponent)({ 'ec-PieChart': ecPieChart });
exports.default = ecPieChart;