'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _class, _temp;

var _react = require('react');

var _nornj = require('nornj');

var _EChartsEnhance = require('./EChartsEnhance');

var _EChartsEnhance2 = babelHelpers.interopRequireDefault(_EChartsEnhance);

require('echarts/lib/chart/radar');

var _EChartsT = require('./ECharts.t.html');

var _EChartsT2 = babelHelpers.interopRequireDefault(_EChartsT);

var RadarChart = (_temp = _class = function (_Component) {
  babelHelpers.inherits(RadarChart, _Component);

  function RadarChart() {
    babelHelpers.classCallCheck(this, RadarChart);
    return babelHelpers.possibleConstructorReturn(this, _Component.apply(this, arguments));
  }

  RadarChart.prototype.render = function render() {
    return _EChartsT2.default.chart(this);
  };

  return RadarChart;
}(_react.Component), _class.propTypes = {
  type: _react.PropTypes.string
}, _class.defaultProps = {
  type: 'radar'
}, _temp);


var ecRadarChart = (0, _EChartsEnhance2.default)(RadarChart);
(0, _nornj.registerComponent)({ 'ec-RadarChart': ecRadarChart });
exports.default = ecRadarChart;