'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _class, _temp;

var _react = require('react');

var _nornj = require('nornj');

var _EChartsEnhance = require('./EChartsEnhance');

var _EChartsEnhance2 = babelHelpers.interopRequireDefault(_EChartsEnhance);

require('echarts/lib/chart/sankey');

var _EChartsT = require('./ECharts.t.html');

var _EChartsT2 = babelHelpers.interopRequireDefault(_EChartsT);

var SankeyChart = (_temp = _class = function (_Component) {
  babelHelpers.inherits(SankeyChart, _Component);

  function SankeyChart() {
    babelHelpers.classCallCheck(this, SankeyChart);
    return babelHelpers.possibleConstructorReturn(this, _Component.apply(this, arguments));
  }

  SankeyChart.prototype.render = function render() {
    return _EChartsT2.default.chart(this);
  };

  return SankeyChart;
}(_react.Component), _class.propTypes = {
  type: _react.PropTypes.string
}, _class.defaultProps = {
  type: 'sankey'
}, _temp);


var ecSankeyChart = (0, _EChartsEnhance2.default)(SankeyChart);
(0, _nornj.registerComponent)({ 'ec-SankeyChart': ecSankeyChart });
exports.default = ecSankeyChart;