'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = undefined;

var _desc, _value, _class, _descriptor, _desc2, _value2, _class3;

var _mobx = require('mobx');

require('whatwg-fetch');

var _fetchConfig = require('../../../common/fetchConfig');

var _querystring = require('querystring');

var _querystring2 = babelHelpers.interopRequireDefault(_querystring);

var _coreDecorators = require('core-decorators');

function _initDefineProp(target, property, descriptor, context) {
  if (!descriptor) return;
  Object.defineProperty(target, property, {
    enumerable: descriptor.enumerable,
    configurable: descriptor.configurable,
    writable: descriptor.writable,
    value: descriptor.initializer ? descriptor.initializer.call(context) : void 0
  });
}

function _applyDecoratedDescriptor(target, property, decorators, descriptor, context) {
  var desc = {};
  Object['ke' + 'ys'](descriptor).forEach(function (key) {
    desc[key] = descriptor[key];
  });
  desc.enumerable = !!desc.enumerable;
  desc.configurable = !!desc.configurable;

  if ('value' in desc || desc.initializer) {
    desc.writable = true;
  }

  desc = decorators.slice().reverse().reduce(function (desc, decorator) {
    return decorator(target, property, desc) || desc;
  }, desc);

  if (context && desc.initializer !== void 0) {
    desc.value = desc.initializer ? desc.initializer.call(context) : void 0;
    desc.initializer = undefined;
  }

  if (desc.initializer === void 0) {
    Object['define' + 'Property'](target, property, desc);
    desc = null;
  }

  return desc;
}

function _initializerWarningHelper(descriptor, context) {
  throw new Error('Decorating class property failed. Please ensure that transform-class-properties is enabled.');
}

var TestSuper = (_class = function () {
  function TestSuper() {
    babelHelpers.classCallCheck(this, TestSuper);

    _initDefineProp(this, 'dataSelect', _descriptor, this);
  }

  TestSuper.prototype.select = function select() {
    var _this = this;

    var fetchConfig = {
      method: 'get',
      credentials: 'include',
      mode: 'cors'
    };

    fetch(G_WEB_DOMAIN + '/select', fetchConfig).then(_fetchConfig.handleErrors).then(function (response) {
      return response.json();
    }).then(function (result) {
      if (result.success) {
        _this.dataSelect = result.data;
      } else {
        _this.dataSelect = [];
      }

      return result;
    });
  };

  return TestSuper;
}(), (_descriptor = _applyDecoratedDescriptor(_class.prototype, 'dataSelect', [_mobx.observable], {
  enumerable: true,
  initializer: function initializer() {
    return [];
  }
}), _applyDecoratedDescriptor(_class.prototype, 'select', [_coreDecorators.autobind], Object.getOwnPropertyDescriptor(_class.prototype, 'select'), _class.prototype)), _class);
var SearchSelectStore = (_class3 = function (_TestSuper) {
  babelHelpers.inherits(SearchSelectStore, _TestSuper);

  function SearchSelectStore() {
    babelHelpers.classCallCheck(this, SearchSelectStore);
    return babelHelpers.possibleConstructorReturn(this, _TestSuper.apply(this, arguments));
  }

  SearchSelectStore.prototype.queryData = function queryData() {
    this.select();
  };

  babelHelpers.createClass(SearchSelectStore, [{
    key: 'activeTodoCount',
    get: function get() {
      return this.todos.reduce(function (sum, todo) {
        return sum + (todo.completed ? 0 : 1);
      }, 0);
    }
  }, {
    key: 'completedCount',
    get: function get() {
      return this.todos.length - this.activeTodoCount;
    }
  }]);
  return SearchSelectStore;
}(TestSuper), (_applyDecoratedDescriptor(_class3.prototype, 'activeTodoCount', [_mobx.computed], Object.getOwnPropertyDescriptor(_class3.prototype, 'activeTodoCount'), _class3.prototype), _applyDecoratedDescriptor(_class3.prototype, 'completedCount', [_mobx.computed], Object.getOwnPropertyDescriptor(_class3.prototype, 'completedCount'), _class3.prototype), _applyDecoratedDescriptor(_class3.prototype, 'queryData', [_coreDecorators.autobind, _mobx.action], Object.getOwnPropertyDescriptor(_class3.prototype, 'queryData'), _class3.prototype)), _class3);
exports.default = SearchSelectStore;